clang 8.0.0

Public Types | Public Member Functions | Static Public Member Functions | List of all members
clang::ento::CompoundValData Class Reference

`#include "clang/StaticAnalyzer/Core/PathSensitive/BasicValueFactory.h"`

Inheritance diagram for clang::ento::CompoundValData:
[legend]
Collaboration diagram for clang::ento::CompoundValData:
[legend]

## Public Types
using | iterator = llvm::ImmutableList< SVal >::iterator

## Public Member Functions
| CompoundValData (QualType t, llvm::ImmutableList< SVal > l)
iterator | begin () const
iterator | end () const
void | Profile (llvm::FoldingSetNodeID &ID)

## Static Public Member Functions
static void | Profile (llvm::FoldingSetNodeID &ID, QualType T, llvm::ImmutableList< SVal > L)

## Detailed Description

Definition at line 42 of file BasicValueFactory.h.

## Member Typedef Documentation

## ◆ iterator

using clang::ento::CompoundValData::iterator = llvm::ImmutableList<SVal>::iterator

Definition at line 51 of file BasicValueFactory.h.

## Constructor & Destructor Documentation

## ◆ CompoundValData()

clang::ento::CompoundValData::CompoundValData | ( | QualType | t,
|  | llvm::ImmutableList< SVal > | l
| ) |  |
| inline

Definition at line 47 of file BasicValueFactory.h.

References clang::ento::NonLoc::isCompoundType().

Referenced by clang::ento::BasicValueFactory::getCompoundValData().

## Member Function Documentation

## ◆ begin()

iterator clang::ento::CompoundValData::begin | ( |  | ) | const
| inline

Definition at line 53 of file BasicValueFactory.h.

## ◆ end()

iterator clang::ento::CompoundValData::end | ( |  | ) | const
| inline

Definition at line 54 of file BasicValueFactory.h.

References Profile().

## ◆ Profile() [1/2]

void CompoundValData::Profile | ( | llvm::FoldingSetNodeID & | ID,
|  | QualType | T,
|  | llvm::ImmutableList< SVal > | L
| ) |  |
| static

Definition at line 32 of file BasicValueFactory.cpp.

References clang::QualType::Profile().

Referenced by end(), clang::ento::PointerToMemberData::end(), clang::ento::BasicValueFactory::getCompoundValData(), and clang::ento::LazyCompoundValData::getRegion().

## ◆ Profile() [2/2]

void clang::ento::CompoundValData::Profile | ( | llvm::FoldingSetNodeID & | ID | ) |
| inline

Definition at line 59 of file BasicValueFactory.h.

References Profile().

Referenced by Profile().

The documentation for this class was generated from the following files:

- include/clang/StaticAnalyzer/Core/PathSensitive/BasicValueFactory.h
- lib/StaticAnalyzer/Core/BasicValueFactory.cpp